<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Add Product</title>
</head>
<body>
    <div class="container">
        <div class="container-upload">
          <div class="title">Add Product</div>
          <div class="uploader" onclick="chooseFile()">
            <p>Click here to select an image</p>
            <img id="preview" src="#" />
          </div>
          <input type="file" id="fileInput" onchange="handleFile(this.files)" accept="image/*" />
      <form class="form" id="form">
          <!-- <div class="section">
          <label for="product-image">Product Image:</label>
          <input type="file" class="bid size2 ta-center" id="product-image" accept="image/*" onclick="chooseFile()" onchange="handleFile(this.files)">
          <img id="preview" src="#" alt="Preview Image" />
        </div> -->

        <div class="section">
          <label for="product-name">Product Name:</label>
          <input type="text" id="product-name">
        </div>
        <div class="section">
          <label for="product-description">Description:</label>
          <textarea id="product-description"></textarea>
        </div>
        <div class="section">
          <label for="starting-price">Starting Price ($):</label>
          <input type="number" id="starting-price" min="0">
        </div>
        <div class="section">
          <label for="bidding-duration">Bidding Duration:</label>
          <input type="number" id="bidding-duration-hours" min="0" placeholder="Hours">
          <input type="number" id="bidding-duration-minutes" min="0" placeholder="Minutes">
        </div>
        <div class="section">
          <label for="category">Category:</label>
          <input type="text" id="category"  placeholder="category">
          <!-- <select id="category">
            <option value="">Select a category</option>
            <option value="Fashion">Fashion</option>
            <option value="Electronics">Electronics</option>
            <option value="Gamming">Gamming</option>
            <option value="Collectables">Collectables</option>
            <option value="Survival Gears">Survival Gears</option>
            <option value="Automobiles">Automobiles</option>
          </select> -->
        </div>
        <div class="buttons">
          <button class="bid size2 ta-center" id="cancel-button">Cancel</button>
          <button class="bid size2 ta-center" id="add-button" type="submit">Add Product</button>
        </div>
      </form>
    </div>

      </div>


      <!--CSS-->
      <style>
        .container-upload {
      width: 600px;
      padding: 50px;
      margin: auto;
      background-color: #2D0C23;
      margin-top: 5%;
      border-radius: 5px;
      
    }

    .title{
      color: white;
      font-size: 18px;
      text-align: center;
      background-color: #542746;
      font-family: sans-serif;
      padding: 8px;
    }

    body{
      background-color: #442A3C;
    }
    
    .section {
      margin-bottom: 10px;
    }
    
    label {
      display: block;
      color: white;
      font-size: 16px;
      font-family: sans-serif;
      margin-top: 20px;

    }

    #product-image{
      color: white;
      font-size: 17px;
    }
    
    input[type="text"],
    input[type="number"],
    textarea,
    select {
      width: 100%;
      padding: 5px;
      font-size: 14px;
      margin-top: 8px;
      background-color: #F0F0F0;
      border: none;
    }
    
    .bid{
      padding: 10px 20px;
        font-size: 2rem;
        border-radius: 5px;
        cursor: pointer;
        margin-top: 20px;

    }
    .buttons{
      display: flex;
      justify-content: center;
    }
    #cancel-button, #add-button{
      background: linear-gradient(87.67deg, #6B1DE5 0%, #B55AFE 100%);
      color: white;
      font-size: 16px;
      border: none;
      margin-left: 20px;
    }
    
    
    textarea {
      height: 100px;
    }
    #bidding-duration-hours{
        margin-bottom: 3px;
    }

/* image uploader */
.uploader {
      display: flex;
      flex-direction: column;
      align-items: center;
      padding: 20px;
      border: 2px dashed #ccc;
      cursor: pointer;
    }
    
    .uploader p {
      margin: 0;
      color: white;
    }
    
    .uploader img {
      max-width: 200px;
      margin-top: 20px;
    }
    
    #fileInput {
      display: none;
    }

    </style>  
      <script src="https://cdnjs.cloudflare.com/ajax/libs/axios/1.4.0/axios.min.js"
      integrity="sha512-uMtXmF28A2Ab/JJO2t/vYhlaa/3ahUOgj1Zf27M5rOo8/+fcTUVH0/E0ll68njmjrLqOBjXM3V9NiPFL5ywWPQ=="
      crossorigin="anonymous" referrerpolicy="no-referrer"></script>
      <script type="module" src="addproduct.js"></script>
     
    
    <!-- Script  -->
    <!-- <script>
        document.addEventListener("DOMContentLoaded", function() {
      var addButton = document.getElementById("add-button");
      var cancelButton = document.getElementById("cancel-button");
    
      addButton.addEventListener("click", function() {
        if (validateForm()) {
          // Perform the action to add the product
          alert("Product added successfully!");
          resetForm();
        } else {
          alert("Please fill in all the required fields.");
        }
      });
    
      cancelButton.addEventListener("click", function() {
        resetForm();
      });
    
      function validateForm() {
        var productName = document.getElementById("product-name").value;
        var productDescription = document.getElementById("product-description").value;
        var startingPrice = document.getElementById("starting-price").value;
        var biddingDurationHours = document.getElementById("bidding-duration-hours").value;
        var biddingDurationMinutes = document.getElementById("bidding-duration-minutes").value;
        var category = document.getElementById("category").value;
    
        if (
          productName.trim() === "" ||
          productDescription.trim() === "" ||
          startingPrice === "" ||
          biddingDurationHours === "" ||
          biddingDurationMinutes === "" ||
          category === ""
        ) {
          return false;
        }
    
        return true;
      }
    
      function resetForm() {
        document.getElementById("product-image").value = "";
        document.getElementById("product-name").value = "";
        document.getElementById("product-description").value = "";
        document.getElementById("starting-price").value = "";
        document.getElementById("bidding-duration-hours").value = "";
        document.getElementById("bidding-duration-minutes").value = "";
        document.getElementById("category").value = "";
      }
    }); -->
    
    <!-- </script>   -->

    <script>
      function chooseFile() {
        document.getElementById('fileInput').click();
      }
  
      function handleFile(files) {
        const file = files[0];
        const reader = new FileReader();
        
        reader.onload = function(event) {
          document.getElementById('preview').setAttribute('src', event.target.result);
        };
        
        reader.readAsDataURL(file);
      }
    </script>
</body>
</html>